<?php
class ControllerextensionModuleyskills extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/yskills');

		$this->document->setTitle(preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')));

		$this->load->model('extension/module');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			if (!isset($this->request->get['module_id'])) {
				$this->model_extension_module->addModule('yskills', $this->request->post);
			} else {
				$this->model_extension_module->editModule($this->request->get['module_id'], $this->request->post);
			}

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true));
		}

		$data['heading_title'] = preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title'));

		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');

		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_name'] = $this->language->get('entry_name');
		$data['entry_titlename'] = $this->language->get('entry_titlename');
		$data['entry_segmentingline'] = $this->language->get('entry_segmentingline');
		$data['entry_linew'] = $this->language->get('entry_linew');
		$data['entry_lineh'] = $this->language->get('entry_lineh');
        $data['entry_linec'] = $this->language->get('entry_linec');	
		$data['entry_section'] = $this->language->get('entry_section');
		$data['entry_sectionbj'] = $this->language->get('entry_sectionbj');
		$data['entry_sectionjbbj'] = $this->language->get('entry_sectionjbbj');
		$data['entry_sectiontitle'] = $this->language->get('entry_sectiontitle');
		$data['entry_sectiondescribe'] = $this->language->get('entry_sectiondescribe');
		$data['entry_sectionptop'] = $this->language->get('entry_sectionptop');
        $data['entry_sectionpbuttom'] = $this->language->get('entry_sectionpbuttom');
		$data['entry_barcolor'] = $this->language->get('entry_barcolor');
		$data['entry_colorall'] = $this->language->get('entry_colorall');
		$data['entry_colorone'] = $this->language->get('entry_colorone');
		$data['entry_colortwo'] = $this->language->get('entry_colortwo');
		$data['entry_colorthree'] = $this->language->get('entry_colorthree');
		$data['entry_colortitle'] = $this->language->get('entry_colortitle');
		$data['entry_acordion'] = $this->language->get('entry_acordion');
		$data['entry_acordionbj'] = $this->language->get('entry_acordionbj');
		$data['entry_acordionbjhover'] = $this->language->get('entry_acordionbjhover');
		$data['entry_acordiontit'] = $this->language->get('entry_acordiontit');
		$data['entry_acordiontithover'] = $this->language->get('entry_acordiontithover');
		$data['entry_describe'] = $this->language->get('entry_describe');
		$data['entry_title'] = $this->language->get('entry_title');
		$data['entry_title1'] = $this->language->get('entry_title1');
		$data['entry_text'] = $this->language->get('entry_text');
		$data['entry_text1'] = $this->language->get('entry_text1');
		$data['entry_qiehuan'] = $this->language->get('entry_qiehuan');
		$data['help_qiehuan'] = $this->language->get('help_qiehuan');
		$data['entry_qiehuan1'] = $this->language->get('entry_qiehuan1');
		$data['entry_skill'] = $this->language->get('entry_skill');
		$data['entry_skill1'] = $this->language->get('entry_skill1');
		$data['entry_number'] = $this->language->get('entry_number');
		$data['entry_number1'] = $this->language->get('entry_number1');
		$data['entry_image'] = $this->language->get('entry_image');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');
		$data['button_add'] = $this->language->get('button_add');
		$data['button_remove'] = $this->language->get('button_remove');

		$data['error_name'] = $this->language->get('error_name');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['name'])) {
			$data['error_name'] = $this->error['name'];
		} else {
			$data['error_name'] = '';
		}
		if (isset($this->error['describe'])) {
			$data['error_describe'] = $this->error['describe'];
		} else {
			$data['error_describe'] = '';
		}
		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_module'),
			'href' => $this->url->link('extension/extension', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')),
			'href' => $this->url->link('extension/module/services', 'token=' . $this->session->data['token'], 'SSL')
		);

		if (!isset($this->request->get['module_id'])) {
			$data['action'] = $this->url->link('extension/module/yskills', 'token=' . $this->session->data['token'], 'SSL');
		} else {
			$data['action'] = $this->url->link('extension/module/yskills', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL');
		}

		$data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true);

		if (isset($this->request->get['module_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$module_info = $this->model_extension_module->getModule($this->request->get['module_id']);
		}

		$data['token'] = $this->session->data['token'];

		if (isset($this->request->post['status'])) {
			$data['status'] = $this->request->post['status'];
		} elseif (!empty($module_info)) {
			$data['status'] = $module_info['status'];
		} else {
			$data['status'] = '';
		}

		if (isset($this->request->post['name'])) {
			$data['name'] = $this->request->post['name'];
		} elseif (!empty($module_info)) {
			$data['name'] = $module_info['name'];
		} else {
			$data['name'] = '';
		}
		if (isset($this->request->post['titlename'])) {
			$data['titlename'] = $this->request->post['titlename'];
		} elseif (!empty($module_info)) {
			$data['titlename'] = $module_info['titlename'];
		} else {
			$data['titlename'] = '';
		}
		if (isset($this->request->post['linew'])) {
			$data['linew'] = $this->request->post['linew'];
		} elseif (!empty($module_info)) {
			$data['linew'] = $module_info['linew'];
		} else {
			$data['linew'] = '30';
		}	
		if (isset($this->request->post['lineh'])) {
			$data['lineh'] = $this->request->post['lineh'];
		} elseif (!empty($module_info)) {
			$data['lineh'] = $module_info['lineh'];
		} else {
			$data['lineh'] = '2';
		}
		if (isset($this->request->post['linec'])) {
			$data['linec'] = $this->request->post['linec'];
		} elseif (!empty($module_info)) {
			$data['linec'] = $module_info['linec'];
		} else {
			$data['linec'] = '#000000';
		}
		if (isset($this->request->post['sectionbj'])) {
			$data['sectionbj'] = $this->request->post['sectionbj'];
		} elseif (!empty($module_info)) {
			$data['sectionbj'] = $module_info['sectionbj'];
		} else {
			$data['sectionbj'] = '';
		}
		if (isset($this->request->post['sectionjbbj'])) {
			$data['sectionjbbj'] = $this->request->post['sectionjbbj'];
		} elseif (!empty($module_info)) {
			$data['sectionjbbj'] = $module_info['sectionjbbj'];
		} else {
			$data['sectionjbbj'] = '';
		}
		if (isset($this->request->post['sectiontitle'])) {
			$data['sectiontitle'] = $this->request->post['sectiontitle'];
		} elseif (!empty($module_info)) {
			$data['sectiontitle'] = $module_info['sectiontitle'];
		} else {
			$data['sectiontitle'] = '';
		}		
		if (isset($this->request->post['sectiondescribe'])) {
			$data['sectiondescribe'] = $this->request->post['sectiondescribe'];
		} elseif (!empty($module_info)) {
			$data['sectiondescribe'] = $module_info['sectiondescribe'];
		} else {
			$data['sectiondescribe'] = '';
		}
		if (isset($this->request->post['sectionptop'])) {
			$data['sectionptop'] = $this->request->post['sectionptop'];
		} elseif (!empty($module_info)) {
			$data['sectionptop'] = $module_info['sectionptop'];
		} else {
			$data['sectionptop'] = '70';
		}
		if (isset($this->request->post['sectionpbuttom'])) {
			$data['sectionpbuttom'] = $this->request->post['sectionpbuttom'];
		} elseif (!empty($module_info)) {
			$data['sectionpbuttom'] = $module_info['sectionpbuttom'];
		} else {
			$data['sectionpbuttom'] = '70';
		}
		if (isset($this->request->post['colorall'])) {
			$data['colorall'] = $this->request->post['colorall'];
		} elseif (!empty($module_info)) {
			$data['colorall'] = $module_info['colorall'];
		} else {
			$data['colorall'] = '';
		}
		if (isset($this->request->post['colorone'])) {
			$data['colorone'] = $this->request->post['colorone'];
		} elseif (!empty($module_info)) {
			$data['colorone'] = $module_info['colorone'];
		} else {
			$data['colorone'] = '';
		}
		if (isset($this->request->post['colortwo'])) {
			$data['colortwo'] = $this->request->post['colortwo'];
		} elseif (!empty($module_info)) {
			$data['colortwo'] = $module_info['colortwo'];
		} else {
			$data['colortwo'] = '';
		}
		if (isset($this->request->post['colorthree'])) {
			$data['colorthree'] = $this->request->post['colorthree'];
		} elseif (!empty($module_info)) {
			$data['colorthree'] = $module_info['colorthree'];
		} else {
			$data['colorthree'] = '';
		}
		if (isset($this->request->post['colortitle'])) {
			$data['colortitle'] = $this->request->post['colortitle'];
		} elseif (!empty($module_info)) {
			$data['colortitle'] = $module_info['colortitle'];
		} else {
			$data['colortitle'] = '';
		}
		if (isset($this->request->post['describe'])) {
			$data['describe'] = $this->request->post['name'];
		} elseif (!empty($module_info)) {
			$data['describe'] = $module_info['describe'];
		} else {
			$data['describe'] = '';
		}
		if (isset($this->request->post['acordionbj'])) {
			$data['acordionbj'] = $this->request->post['acordionbj'];
		} elseif (!empty($module_info)) {
			$data['acordionbj'] = $module_info['acordionbj'];
		} else {
			$data['acordionbj'] = '';
		}
		if (isset($this->request->post['acordionbjhover'])) {
			$data['acordionbjhover'] = $this->request->post['acordionbjhover'];
		} elseif (!empty($module_info)) {
			$data['acordionbjhover'] = $module_info['acordionbjhover'];
		} else {
			$data['acordionbjhover'] = '';
		}
		if (isset($this->request->post['acordiontit'])) {
			$data['acordiontit'] = $this->request->post['acordiontit'];
		} elseif (!empty($module_info)) {
			$data['acordiontit'] = $module_info['acordiontit'];
		} else {
			$data['acordiontit'] = '';
		}
		if (isset($this->request->post['acordiontithover'])) {
			$data['acordiontithover'] = $this->request->post['acordiontithover'];
		} elseif (!empty($module_info)) {
			$data['acordiontithover'] = $module_info['acordiontithover'];
		} else {
			$data['acordiontithover'] = '';
		}
		$this->load->model('localisation/language');

		$data['languages'] = $this->model_localisation_language->getLanguages();

		$this->load->model('tool/image');

		if (isset($this->request->post['service'])) {
			$services = $this->request->post['service'];
		} elseif (isset($module_info['service'])) {
			$services = $module_info['service'];
		} else {
			$services = array();
		}

		$data['services'] = array();

		foreach ($services as $service) {

			$data['services'][] = array(
				'title1'       => $service['title1'],
				'text1'        => $service['text1'],
				'qiehuan1'        => $service['qiehuan1'],
				'skill1'        => $service['skill1'],
				'number1'        => $service['number1'],
				'sort_order'  => $service['sort_order']
			);
		}


		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/yskills.tpl', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/yskills')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if ((utf8_strlen($this->request->post['name']) < 2) || (utf8_strlen($this->request->post['name']) > 64)) {
			$this->error['name'] = $this->language->get('error_name');
		}

		return !$this->error;
	}
}